@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;600;700&family=Roboto:wght@400;500;700&display=swap');

* {
    margin: 0;
    padding: 0;
    outline: none;
    box-sizing: border-box;
}

body {
    background-image: url('../Images/bg-img.jpg');
    background-size: cover;
    height: 100vh;
    width: 100%;
    background-repeat: no-repeat;
    background-position: bottom center;

}

.container {
    margin: 0 5%;
    font-family: 'Roboto', sans-serif;
    color: #ffffff;
}

/* Header */

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.5rem;
    font-weight: 600;
    margin-top: 3%;
}

.header-logo .logo {
    display: block;
}

nav {
    display: flex;
    align-items: center;
    position: relative;
}

nav .list-item {
    list-style: none;
    padding: 0 55px;
}

nav .list-item .nav-link {
    text-decoration: none;
    color: #ffffff;
}

nav .call {
    padding-right: 0;
    display: flex;
    align-items: center;
}

.phone-logo {
    margin-right: 20px;
    height: 30px;
}

nav::after {
    content: "";
    position: absolute;
    bottom: -50%;
    left: 4.2%;
    width: 95.5%;
    height: 2px;
    background-color: #ffffff;
    display: block;
}

.menu {
    display: none;
}

/* Text-Section */

/* Text Content Left */

#text-content {
    display: flex;
    padding: 0 5%;
}

.heading-text h2 {
    margin-top: 15%;
    font-size: 5rem;
    text-transform: capitalize;
    width: 70%;
}

.button-wrapper {
    margin-top: 5%;
}

.button-wrapper .btn {
    border: 3px solid #ffffff;
    background-color: transparent;
    border-radius: 50px;
    padding: 20px 50px;
    font-size: 2rem;
    color: #ffffff;
    font-weight: 700;
    cursor: pointer;
}

.button-wrapper .btn:hover {
    background-color: #ffffff;
    color: #123246;
}

.menu {
    display: block;
    font-size: 2rem;
}

/* Text Content Right */

/* Card 1 */

.card-1 {
    position: relative;
    top: 20%;
}

.card-1::after {
    content: "";
    width: 2px;
    height: 80px;
    background-color: #ffffff;
    display: block;
    position: absolute;
    left: 70%;
    transform: translateX(-50%);
}

.card-1 .card .circle {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #ffffff;
    position: absolute;
    left: 70%;
    bottom: -55%;
    transform: translate(-50%, -50%);
}

.card-1 .card {
    padding: 30px 20px 30px 40px;
    width: 350px;
    background-color: rgba(255, 255, 255, 0.2);
    display: flex;
    flex-direction: column;
}

.card-1 .card .puzzle-logo .logo {
    font-size: 2rem;
    background-color: #ffffff;
    text-align: center;
    padding: 8px 35px;
    border-radius: 30px;
    color: #000000;
    display: flex;
}

.card-1 .card .description {
    margin-top: 20px;
    width: 100%;
    font-size: 1.3rem;
}

/* Card 2 */

.card-2 {
    position: relative;
    right: 120%;
    top: 55%;
}

.card-2::after {
    content: "";
    width: 100px;
    height: 2px;
    background-color: #ffffff;
    display: block;
    position: absolute;
    top: 40%;
    right: -100px;
}

.card-2 .card .circle {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background-color: #ffffff;
    position: absolute;
    right: -30%;
    top: 40%;
    transform: translateY(-50%);
}

.card-2 .card {
    padding: 30px 20px 30px 40px;
    width: 350px;
    background-color: rgba(255, 255, 255, 0.2);
    display: flex;
    flex-direction: column;
}

.card-2 .card .bulb-logo .logo {
    font-size: 2rem;
    background-color: #ffffff;
    text-align: center;
    padding: 8px 35px;
    border-radius: 30px;
    color: #000000;
    display: flex;
}

.card-2 .card .description {
    margin-top: 20px;
    width: 100%;
    font-size: 1.3rem;
}

/* Media Queries */

@media only screen and (max-width: 1440px) {
    nav .list-item {
        display: none;
    }

    #text-content {
        padding: 0 5%;
    }

    .heading-text h2 {
        font-size: 4rem;
    }

    .button-wrapper .btn {
        font-size: 1.5rem;
    }

}

@media only screen and (max-width: 1024px) {
    nav .list-item {
        display: none;
    }

    #text-content {
        padding: 0 5%;
    }

    .heading-text h2 {
        font-size: 2.5rem;
        width: 90%;
    }

    .button-wrapper .btn {
        font-size: 1rem;
    }

    .card-2 {
        right: 80%;
    }

}

@media only screen and (max-width: 768px) {

    .header-logo .logo {
        width: 80%;
    }

    nav .list-item {
        display: none;
    }

    #text-content {
        padding: 5% 5%;
    }

    .heading-text h2 {
        font-size: 2.5rem;
        width: 90%;
    }

    .button-wrapper .btn {
        font-size: 1rem;
    }

    .card-1 {
        position: absolute;
        top: 35%;
        right: 5%;
    }

    .card-2 {
        position: absolute;
        right: 50%;
        bottom: 0;
        top: 70%;
    }
}

@media only screen and (max-width: 425px) {

    .header-logo .logo {
        width: 80%;
    }

    nav .list-item {
        display: none;
    }

    #text-content {
        padding: 5% 5%;
    }

    .heading-text h2 {
        font-size: 2rem;
        width: 90%;
    }

    .button-wrapper .btn {
        font-size: .9rem;
    }

    .card-1 {
        position: absolute;
        top: 35%;
        right: 5%;
    }

    .card-1 {
        position: absolute;
        right: 20%;
        bottom: 0;
        top: 40%;
    }

    .card-1 .card {
        width: 200px;
    }

    .card-1 .card .circle {
        position: absolute;
        top: 50%;
    }

    .card-1 .card .description {
        margin-top: 20px;
        width: 100%;
        font-size: 1rem;
    }




    .card-2 {
        position: absolute;
        right: 50%;
        bottom: 0;
        top: 70%;
    }

    .card-2 .card {
        width: 200px;
    }

    .card-2 .card .circle {
        position: absolute;
        right: -60%;
    }

    .card-2 .card .description {
        margin-top: 20px;
        width: 100%;
        font-size: 1rem;
    }
}

@media only screen and (min-width: 320px) and (max-width: 425px) {

    .header-logo .logo {
        width: 60%;
    }

    nav .list-item {
        display: none;
    }

    #text-content {
        padding: 5% 5%;
    }

    .heading-text h2 {
        font-size: 2rem;
        width: 90%;
    }

    .button-wrapper .btn {
        font-size: .9rem;
    }

    .card-1 {
        position: absolute;
        top: 35%;
        right: 5%;
    }

    .card-1 {
        position: absolute;
        right: 20%;
        bottom: 0;
        top: 40%;
    }

    .card-1 .card {
        width: 200px;
    }

    .card-1 .card .circle {
        position: absolute;
        top: 50%;
    }

    .card-1 .card .description {
        margin-top: 20px;
        width: 100%;
        font-size: .8rem;
    }

    .card-2 {
        position: absolute;
        right: 30%;
        bottom: 0;
        top: 75%;
    }

    .card-2::after {
        right: -50px;
        width: 50px;
    }

    .card-2 .card {
        width: 200px;
    }

    .card-2 .card .circle {
        position: absolute;
        right: -30%;
    }

    .card-2 .card .description {
        margin-top: 20px;
        width: 100%;
        font-size: .8rem;
    }
}